Page MenuHomePhabricator

Document steps needed to create a quarterly "New Developers" report
Closed, ResolvedPublic

Description

...so tasks can still be performed by someone else if someone is not available.
Plus we might not remember too well what we did three months ago.

Moved to https://www.mediawiki.org/wiki/New_Developers/Quarterly/How_to_Create_a_Report

Event Timeline

Aklapper created this task.Oct 5 2017, 5:29 PM
Aklapper moved this task from Backlog to October on the Developer-Advocacy (Oct-Dec 2017) board.
Aklapper updated the task description. (Show Details)Oct 5 2017, 10:49 PM
Aklapper added a subscriber: Rfarrand.

I brain-dumped into the task summary as I won't decide on a good on-wiki location tonight. (Yes, docs should be on-wiki, Andre.)

@Rfarrand, @srishakatux: Feel free to edit/add/correct before we cannot remember some steps in three months. ;)

Aklapper updated the task description. (Show Details)Oct 10 2017, 12:29 PM
srishakatux updated the task description. (Show Details)Oct 11 2017, 11:53 PM

@Aklapper Added a couple more steps related to the survey analysis. I feel like it would be great if these instructions are somewhere on MediaWiki /New_Developers/Quarterly/How-to-xx?? Do you see any point as to why not?

Aklapper added a comment.EditedOct 12 2017, 10:17 AM

@srishakatux: See first sentence in T177522#3662772 and feel free to go ahead

Aklapper updated the task description. (Show Details)Oct 12 2017, 12:00 PM

@srishakatux: "to contact these newcomers via email with a link to the survey form at the end of each month in a quarter (three times)": Either that collides with "@Aklapper to gather email addresses of last 3 months' newcomers listed" && "Right before the quarter ends, @Aklapper to contact Bitergia to update data", or I don't understand. My understanding was that newcomers who started in a 3 month timeframe are sent a survey once in a batch. If you suddenly wanted to send out a survey every month, that would require me to ask Bitergia every month for updated data, instead of every three months. But maybe I misunderstand.

Qgil added a subscriber: Qgil.Oct 13 2017, 3:23 PM

The origin of this change (to be agreed, now that I see the implications) is that the answers to the survey questions will be systematically different between people who has just joined, and people who joined 2.5 months ago. The idea of sending the survey in monthly batches tries to reduce this distortion. It was a suggestion, not a requirement.

Re: "to contact these newcomers via email with a link to the survey form at the end of each month in a quarter":

Makes sense. I can provide names/addresses on a monthly basis, it's just that I was not aware that this got discussed and we need these docs to be consistent. @srishakatux: Feel free to edit "Right before the quarter ends," and "to gather email addresses of last 3 months' newcomers" above if monthly is the way to go.

@Qgil, @srishakatux: It also implies we need another person with access to the DB dump file behind wikimedia.biterg.io as I likely won't be around every single beginning of a month for the rest of my life. Volunteers? (meta:#Technical_Collaboration_programs lists Quim as runner-up under "Reports (quantitative)".)

srishakatux added a comment.EditedOct 16 2017, 10:10 PM

If it's too cumbersome, I think it's okay to reach out to Biterg/ gather emails altogether at the end of a quarter.

@Aklapper I've copy / pasted, slightly edited the steps here https://www.mediawiki.org/wiki/User:SSethi_(WMF)/How_to_Create_a_Report. If it makes sense to you, I will move it to /New_Developers/Quarterly/ on MW. In your section, the only thing that I changed: removed where it says Aklapper to do X as it's obvious.

Aklapper updated the task description. (Show Details)Oct 16 2017, 10:14 PM

It's only cumbersome until T151161 gets fixed. And I'd like to have a fallback person. :) So it makes sense to me to have this monthly.

(Edited the wikipage to say every month instead of three months)

Qgil added a comment.Oct 17 2017, 10:28 AM

Volunteers? (meta:#Technical_Collaboration_programs lists Quim as runner-up under "Reports (quantitative)".)

Runner up it is! o/

srishakatux updated the task description. (Show Details)Oct 17 2017, 8:46 PM
Aklapper closed this task as Resolved.Oct 17 2017, 11:48 PM

Thanks everybody! Done.